#ifndef __MyDetektorHit_h__
#define __MyDetektorHit_h__

#include <vector>

class MyPeak;

//_______________________________________________________________________________________________________________________________________________________________
class MyDetektorHit		//this is just a container class that contains one hit on the detector
{
public:
	MyDetektorHit():
	  u1p(0), u2p(0), v1p(0), v2p(0), w1p(0), w2p(0), mcpp(0),
	  x_mm(0), y_mm(0), MCP(0), rekmeth(0)				{}

	MyDetektorHit(double X_mm, double Y_mm, double Mcp, int RM):
	  u1p(0), u2p(0), v1p(0), v2p(0), w1p(0), w2p(0), mcpp(0),
	  x_mm(X_mm), y_mm(Y_mm), MCP(Mcp), rekmeth(RM)		{}
	
	~MyDetektorHit()									{}

public:
	void setU1(MyPeak * in)		{u1p = in;}
	void setU2(MyPeak * in)		{u2p = in;}
	void setV1(MyPeak * in)		{v1p = in;}
	void setV2(MyPeak * in)		{v2p = in;}
	void setW1(MyPeak * in)		{w1p = in;}
	void setW2(MyPeak * in)		{w2p = in;}
	void setMCP(MyPeak * in)	{mcpp = in;}

	MyPeak * u1()				{return u1p;}
	MyPeak * u2()				{return u2p;}
	MyPeak * v1()				{return v1p;}
	MyPeak * v2()				{return v2p;}
	MyPeak * w1()				{return w1p;}
	MyPeak * w2()				{return w2p;}
	MyPeak * mcp()				{return mcpp;}

	double X_mm()				{return x_mm;}
	double Y_mm()				{return y_mm;}
	double Tof_ns()				{return tof;}
	int RekMeth()				{return rekmeth;}

private:
	MyPeak * u1p;
	MyPeak * u2p;
	MyPeak * v1p;
	MyPeak * v2p;
	MyPeak * w1p;
	MyPeak * w2p;
	MyPeak * mcpp;


	double x_mm;		//the x component of the detector in mm
	double y_mm;		//the y component of the detector in mm
	double tof;
	double MCP;			//the mcp time of this hit on the detector
	int rekmeth;		//the Reconstruction Method for this Hit
	ClassDef(MyDetektorHit,1)	//Container for One Detektorhit
};

typedef std::vector<MyDetektorHit> dhVec;
typedef std::vector<dhVec> MyEreignis;
#endif